Bug 198152 - Created users have got a wrong group
Created users have got a wrong group
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 07:48 EDT by Klaus Munsteiner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 08:22:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Munsteiner 2006-07-10 07:48:08 EDT
Description of problem:
Created users have got a wrong group, if the user without an own group is not at
the end of the list.

Version-Release number of selected component (if applicable):
system-config-user 1.2.42

How reproducible:


Steps to Reproduce:
1. Create a user team1 with own group: 
2. Result user team1 (501) / group team1 (501)
3. Create a user klaus without own group: 
4. Result user klaus (502) / group users
5. Create a user team2 with own group: 
6. Result user team2 (503) / group 503 (group 503 doesn't exist)
7. The added group is team2 but with group id 502.
8. If you add more users, all users to groups will have a row shift with faulty
relations to users and groups.




Actual results:


Expected results:


Additional info:
Comment 1 Nils Philippsen 2006-07-13 13:23:12 EDT
This should be fixed in system-config-users-1.2.45 which should hit
Rawhide/development shortly. Can you please try whether
system-config-users-1.2.45-1.fc6.noarch.rpm fixes that problem once it hits the
mirrors? You might revert to your older version of s-c-users as this version
contains a new uid/gid number choosing implementation that isn't toroughly
tested yet.
Comment 2 Klaus Munsteiner 2006-07-23 05:54:40 EDT
I need some help from you for the testing, as I didn't in the past.
I use the Yum Extender for my RPMs. For my tests I have got a pc with a fc5
x86_64 at this time.   

Which are the steps to install system-config-users-1.2.45 on my fc5 for testing? 
Yum Exteder tells me: Removing for dependencies to firstboot and
system-config-boot. 

Must I uninstall system-config-users-1.2.42 first?

Comment 3 Nils Philippsen 2006-07-24 11:32:34 EDT
You'd have to download the package from e.g.:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/Fedora/RPMS/system-config-users-1.2.45-1.fc6.noarch.rpm

Afterwards install it with yum (not yumex) like this:

yum localinstall system-config-users-1.2.45-1.fc6.noarch.rpm
Comment 4 Nils Philippsen 2006-07-24 12:21:19 EDT
Or rather system-config-users-1.2.46-1.fc6.noarch.rpm, as it contains numerous
fixes over 1.2.45.
Comment 5 Klaus Munsteiner 2006-07-27 14:48:13 EDT
I imported the key for my x86_64 pc with yum:
rpm --import
http://download.fedora.redhat.com/pub/fedora/linux/core/development/x86_64/os/RPM-GPG-KEY-fedora-test

I downloaded the file from:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/system-config-users-1.2.46-1.fc6.noarch.rpm

Installed from local:
yum localinstall system-config-users-1.2.46-1.fc6.noarch.rpm

I got the error message:
Package system-config-users-1.2.46-1.fc6.noarch.rpm is not signed

How to install the package?

Comment 6 Nils Philippsen 2006-07-28 05:54:09 EDT
Unfortunately, Rawhide packages are regularly not signed. To install the
package, you need to temporarily change

gpgcheck=1

to

gpgcheck=0

in /etc/yum.conf, then install the package, then change it back.
Comment 7 Klaus Munsteiner 2006-07-28 13:00:48 EDT
I tested and it works fine. The unused group numbers (which were free) I used
later to create new test groups. I tried to give them used group numbers and got
an error message, that's OK. I can create new groups with the unused numbers.

I think that you fixed the error like descripted. 
------------------------------------------------------------------

There are an other problem, but I don't know if it's a bug or a wish:

1. Existing user moving into an other primary group:
If I move an user into an existing other group and make it to his primary group,
the groups in the home directory will not be changed. 
(Remark: If I change it with Konqueror it makes bugs. All files in the home
directory go to 0600.) 

2. Creating new user:
It should be possible to select ANY GROUP when creating a new user.
At this time you only can create a new user with an own group or in the group users.

Please write me, what I shall do with the 2 last positions.
Thanks
Comment 8 Nils Philippsen 2006-08-04 11:17:39 EDT
Please open separate BZ tickets for each of them, using the FutureFeature keyword.
Comment 9 Klaus Munsteiner 2006-08-06 11:14:21 EDT
I opened Bugzilla Bugs 201499 and 201500 for the last 2 positions.

Do you close this ticket or must I do it?

Note You need to log in before you can comment on or make changes to this bug.